Package org.apache.ignite.internal.pagemem.wal.record

## Class IncrementalSnapshotStartRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.IncrementalSnapshotStartRecord

    public class IncrementalSnapshotStartRecord
    extends WALRecord

This record is written to WAL at the moment when incremental snapshot starts on a baseline node.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Constructor Summary

Constructors
`IncrementalSnapshotStartRecord​(UUID id)`

### Method Summary

All Methods Instance Methods Concrete Methods
`UUID` `id()`
`String` `toString()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IncrementalSnapshotStartRecord

    public IncrementalSnapshotStartRecord​(UUID id)

Parameters:
  `id` - Incremental snapshot ID.

### Method Detail

#### id

    public UUID id()

Returns:
  Incremental snapshot ID.

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### toString

    public String toString()

Overrides:
  `toString` in class `WALRecord`